# http://jekyllrb.com/docs/configuration/
environment: production
encoding: utf-8

# https://byparker.com/blog/2014/clearing-up-confusion-around-baseurl/

# directory where Jekyll will read/write files
source: src
destination: build

# experimental incremental build: build only pages that have changed
incremental: false
# time zone for site generation
timezone: Europe/Berlin

# Markdown/Highlighter
# http://stackoverflow.com/posts/13614020/revisions
markdown: redcarpet

# prismjs (indirect usage by adding css/js file)
# http://prismjs.com/download.html?themes=prism-okaidia&languages=markup+css+clike+javascript+batch+java+git+less&plugins=line-numbers+highlight-keywords
highlighter: null

# Markdown Processors
# https://github.com/vmg/redcarpet
redcarpet:
  extensions: [
    "no_intra_emphasis",
    "tables",
    "fenced_code_blocks",
    "autolink",
    #"disable_indented_code_blocks",
    "strikethrough",
    #"lax_spacing",
    #"space_after_headers",
    "superscript",
    #"underline",
    #"highlight",
    #"quote",
    #"footnotes",
    "with_toc_data",
    "prettify"
  ]
kramdown:
  input: GFM

collections:
  articles:
    title: articles
    output: true

# defaults
defaults:
  - scope:
      path: ""
    # default values set in md file header
    values:
      layout: default

# custom global: navigation tree expanded including this level
navlevel: 1

sass:
  style: compressed

gems:
  - jekyll-bootstrap-sass
  - font-awesome-sass
  - uglifier
